Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.annotations
Class EnumConversionHelper

    java.lang.Object
      org.hibernate.metamodel.source.annotations.EnumConversionHelper

    public class EnumConversionHelper

extends Object

Helper class which converts between different enum types.

Method Summary
`static FetchMode` | `annotationFetchModeToHibernateFetchMode(FetchMode annotationFetchMode)`
`static CascadeStyle` | `cascadeTypeToCascadeStyle(CascadeType cascadeType)`
`static Set<CascadeStyle>` | `cascadeTypeToCascadeStyleSet(Set<CascadeType> cascadeTypes)`
`static String` | `generationTypeToGeneratorStrategyName(GenerationType generatorEnum, boolean useNewGeneratorMappings)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### generationTypeToGeneratorStrategyName

    public static String generationTypeToGeneratorStrategyName(GenerationType generatorEnum,
                                                               boolean useNewGeneratorMappings)

### cascadeTypeToCascadeStyle

    public static CascadeStyle cascadeTypeToCascadeStyle(CascadeType cascadeType)

### annotationFetchModeToHibernateFetchMode

    public static FetchMode annotationFetchModeToHibernateFetchMode(FetchMode annotationFetchMode)

### cascadeTypeToCascadeStyleSet

    public static Set<CascadeStyle> cascadeTypeToCascadeStyleSet(Set<CascadeType> cascadeTypes)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.